/balances (wallet)

Returns a paginated response of ERC20 balances for a given wallet.

"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Get your api key @ https://web3shards.io/console
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getBalancesOnWallet = async function() {
    const wallet = "0xade7b949f70eafc2c0999fc6b8f18b0ea0382746";
    const type = "erc20";
    const page = 1;
    const resp = await shards.balances.getBalancesOnWallet(wallet, type, page);
    console.log(resp)
}

getBalancesOnWallet();
Query Params
string
enum
Defaults to eth

The target chain.

Allowed:
int32
Defaults to 1

The page from which to begin querying data from. Max page size is 100.

string
Defaults to 0xade7b949f70eafc2c0999fc6b8f18b0ea0382746

The wallet address

string
enum
Defaults to erc20

The type of asset

Allowed:
Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain